// router/index.js
import { createRouter, createWebHistory } from 'vue-router';
import { setupRouterGuards } from './router-guards';

const routes = [
    {
        path: '/',
        name: 'home',
        component: () => import('@/views/home/index.vue'), // MainLayout
        children: [
            {
                path: 'new-releases',
                name: 'new-releases',
                component: () => import('@/views/new-releases/index.vue')
            },
        ]
    }
];

const router = createRouter({
    history: createWebHistory(),
    routes
});
router.beforeEach((to, from, next) => {
    if (to.meta?.title) {
        document.title = to.meta.title;
    }
    next()
});
setupRouterGuards(router);
export default router;
